/* safePrint.h
   Scott F. Kaplan -- sfkaplan@cs.utexas.edu
   February 1997
   This module is used to print values to a string.  It guarantees that
   only stack space is used. */

#if !defined (_safePrint_h)
#define _safePrint_h

#define PAGE_STATUS_NONE  0
#define PAGE_STATUS_READ  1
#define PAGE_STATUS_WRITE 2


void safePrintPageNumber (char* bufferString,
			  int dirtyStatus,
			  unsigned long printValue);

#endif /* _safePrint_h */
