/*
************************************************************************
**

  The tracing mechanisms, including the initialization of VMTrace, the
  setting of a signal handler, that signal handler (which records the
  trace), and the clean-up functions.

  Author: V. B. Balayoghan (vbb@cs.utexas.edu)
  Date: October 1994
  Modified by: Scott F. Kaplan <sfkaplan@cs.utexas.edu>
  Last modification: September 1998

**
************************************************************************ */


#if !defined (_VMTRACE_H)
#define _VMTRACE_H

/* The initialization and clean-up procedures must be accessable from
   whatever wrapper first gains control of the program. */
void InitVMTrace ();
void ShutdownVMTrace();

#endif /* _VMTRACE_H */
