
/*
************************************************************************
**

  The header file for read() wrapper.

  Author: V. B. Balayoghan (vbb@cs.utexas.edu)
  Date:   October 1994
  Modified by: Scott F. Kaplan (sfkaplan@cs.utexas.edu)
  Latest modified: June 1998

**
************************************************************************
*/


#if !defined (_WRAP_READ_H)
#define _WRAP_READ_H

/* Because the real functions to be called by different platforms is
   not the same, we provide a dummy wrapper here that does nothing but
   call the real thing for the right platform.  This function can then
   be called from other places within the VMTrace library. */
int read_VMT (int fileDescriptor, char* buffer, int bytesToRead);

#endif /* _WRAP_READ_H */
