
/*
************************************************************************
**

  The header file for writev() wrapper.

  Author: V. B. Balayoghan (vbb@cs.utexas.edu)
  Date:   October 1994
  Modified by: Scott F. Kaplan (sfkaplan@cs.utexas.edu)
  Latest modified: June 1998

**
************************************************************************
*/


#if !defined (_WRITEV_H)
#define _WRITEV_H

#if defined (__svr4__)
extern int __real_writev (int fd,
			  const struct iovec* iov,
			  int iovcnt);
#else /* not __svr4__ */
#if defined (__linux__)
extern int __real_writev (int fd,
			  const struct iovec* iov,
			  size_t iovcnt);
#endif /* __linux__ */
#endif /* __svr4__ */

#endif /* _WRITEV_H */
