
/*
************************************************************************
**

  The header file for write() wrapper.

  Author: V. B. Balayoghan (vbb@cs.utexas.edu)
  Date:   October 1994
  Modified by: Scott F. Kaplan (sfkaplan@cs.utexas.edu)
  Latest modification: June 1998

**
************************************************************************
*/


#ifndef _WRITE_H
#define _WRITE_H

/* Because the real functions to be called by different platforms is
   not the same, we provide a dummy wrapper here that does nothing but
   call the real thing for the right platform.  This function can then
   be called from other places within the VMTrace library. */
int write_VMT (int fileDescriptor, char* buffer, int bytesToWrite);

#endif /* _WRITE_H */
